import { isNumber } from 'lodash-es';

export enum RobotBrand {
  仙工 = 1,
}
export const ROBOT_BRAND_OPTIONS = <Array<[string, RobotBrand]>>(
  Object.entries(RobotBrand).filter(([, v]) => isNumber(v))
);

export enum RobotType {
  叉车机器人 = 1,
  AMR机器人,
  料箱机器人,
}
export const ROBOT_TYPE_OPTIONS = <Array<[string, RobotType]>>Object.entries(RobotType).filter(([, v]) => isNumber(v));

export enum RobotState {
  任务执行中 = 1,
  充电中,
  停靠中,
  空闲中,
}
